package com.ruoyi.voluntary.mapper;


import com.ruoyi.voluntary.domain.SysLocations;

import java.util.List;

/**
 * 位置编码Mapper接口
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public interface SysLocationsMapper 
{
    /**
     * 查询位置编码
     * 
     * @param id 位置编码ID
     * @return 位置编码
     */
    public SysLocations selectSysLocationsById(Long id);
    public List<SysLocations> selectSysLocationsByCode(String code);
    public SysLocations selectSysLocationsBySname(String sname);

    /**
     * 查询位置编码列表
     * 
     * @param sysLocations 位置编码
     * @return 位置编码集合
     */
    public List<SysLocations> selectSysLocationsList(SysLocations sysLocations);

    /**
     * 新增位置编码
     * 
     * @param sysLocations 位置编码
     * @return 结果
     */
    public int insertSysLocations(SysLocations sysLocations);

    /**
     * 修改位置编码
     * 
     * @param sysLocations 位置编码
     * @return 结果
     */
    public int updateSysLocations(SysLocations sysLocations);

    /**
     * 删除位置编码
     * 
     * @param id 位置编码ID
     * @return 结果
     */
    public int deleteSysLocationsById(Long id);

    /**
     * 批量删除位置编码
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysLocationsByIds(Long[] ids);
}
